--Consultes
rem <<a>>
prompt (Consulta a) El llistat de tots els jugadors duna competici donada amb totes les seves dades, incloent la data de finalitzaci de contracte actual.
prompt consultes.jugadors_competicio(competicio_id number, p_cursor_a OUT SYS_REFCURSOR, RSP OUT varchar2)
set serveroutput on;
set serveroutput on size 1000000;
DECLARE
p_cursor_a SYS_REFCURSOR := NULL;
reg_a consultes.reg_consulta_a;
RSP varchar2(500);
BEGIN
consultes.jugadors_competicio(1, p_cursor_a, rsp);
dbms_output.put_line('RSP: --> ' || RSP);
LOOP 
fetch p_cursor_a INTO reg_a;
exit when p_cursor_a%notfound;
dbms_output.put_line('jugador: nom --> ' || reg_a.nom);
end loop;
close p_cursor_a;
END;
/

rem <<b>>
prompt (Consulta b) El llistat de tots els equips duna competici ordenats pel nombre de punts totals a favor en la temporada actual.
prompt consultes.equips_competicio(competicio_id number, p_cursor_b OUT SYS_REFCURSOR)
set serveroutput on;
set serveroutput on size 1000000;
DECLARE
p_cursor_b SYS_REFCURSOR := NULL;
reg_b consultes.reg_consulta_b;
RSP varchar2(500);
BEGIN
consultes.equips_competicio(1, p_cursor_b, rsp);
dbms_output.put_line('RSP: --> ' || RSP);
LOOP 
fetch p_cursor_b INTO reg_b;
exit when p_cursor_b%notfound;
dbms_output.put_line('Equip: equip --> ' || reg_b.equip_nom);
end loop;
close p_cursor_b;
END;
/

rem <<c>>
prompt (Consulta c) Donats un mbit, un gnere i una modalitat de competici, el llistat dels 5 millors jugadors per posici en funci de la seva valoraci.
prompt consultes.ll_5_millors_jugadors(p_ambit_id AMBIT.AMBIT_ID%type, p_genere_id GENERE.GENERE_ID%type, p_modalitat_id MODALITAT.MODALITAT_ID%type, p_cursor_base OUT SYS_REFCURSOR, p_cursor_escorta OUT SYS_REFCURSOR, p_cursor_aler OUT SYS_REFCURSOR, p_cursor_aler_pivot OUT SYS_REFCURSOR, p_cursor_pivot OUT SYS_REFCURSOR)
set serveroutput on;
set serveroutput on size 1000000;
DECLARE
p_cursor_c_base SYS_REFCURSOR := NULL;
p_cursor_c_escorta SYS_REFCURSOR := NULL;
p_cursor_c_aler SYS_REFCURSOR := NULL;
p_cursor_c_aler_pivot SYS_REFCURSOR := NULL;
p_cursor_c_pivot SYS_REFCURSOR := NULL;
reg_c consultes.reg_consulta_c;
RSP varchar2(500);
BEGIN
consultes.ll_5_millors_jugadors(1, 1, 1, p_cursor_c_base, p_cursor_c_escorta, p_cursor_c_aler, p_cursor_c_aler_pivot, p_cursor_c_pivot, rsp);
dbms_output.put_line('RSP: --> ' || RSP);
LOOP 
fetch p_cursor_c_base INTO reg_c;
exit when p_cursor_c_base%notfound;
dbms_output.put_line(' ' || reg_c.nom);
end loop;
close p_cursor_c_base;
close p_cursor_c_escorta;
close p_cursor_c_aler;
close p_cursor_c_aler_pivot;
close p_cursor_c_pivot;
END;
/

rem <<d>>
prompt (Consulta d) Donat un any i un representant de jugadors, el nmero de contractes de jugadors signats i el valor econmic total de cadascun dells.
prompt consultes.contractes_any("any" number, representant_id number, p_num_contractes OUT number, p_cursor_d OUT SYS_REFCURSOR)
set serveroutput on;
set serveroutput on size 1000000;
DECLARE
p_n number := 0;
p_cursor_d SYS_REFCURSOR := NULL;
reg_d consultes.reg_consulta_d;
RSP varchar2(500);
begin
consultes.contractes_any(2012, 1, p_n, p_cursor_d, rsp);
dbms_output.put_line('RSP: --> ' || RSP);
dbms_output.put_line('Nmero de contractes: ' || p_n);
LOOP 
fetch p_cursor_d INTO reg_d;
exit when p_cursor_d%notfound;
dbms_output.put_line('Representant: ' || reg_d.rep || ', Valor econmic total: ' || reg_d.valor_operacio);
end loop;
--dbms_output.put_line('Nmero de contractes: ' || p_cursor_d%ROWCOUNT);
close p_cursor_d;
END;
/

rem <<e>>
prompt (Consulta e) Donat un any concret el llistat dels 10 equips que ms diners shan gastat en adquisici de jugadors, ordenat de ms a menys.
prompt consultes.ll_10_equips_major_gast("any" number, p_cursor_e OUT SYS_REFCURSOR)
set serveroutput on;
set serveroutput on size 1000000;
DECLARE
p_cursor_e SYS_REFCURSOR := NULL;
reg_e consultes.reg_consulta_e;
RSP varchar2(500);
begin
consultes.ll_10_equips_major_gast(2012, p_cursor_e, rsp);
dbms_output.put_line('RSP: --> ' || RSP);
LOOP 
fetch p_cursor_e INTO reg_e;
exit when p_cursor_e%notfound;
dbms_output.put_line('equip: ' || reg_e.equip_nom || ', quantitat: ' || reg_e.quantitat);
end loop;
close p_cursor_e;
END;
/

rem <<f>>
prompt (Consulta f) Donat un pas, un gnere i una modalitat, el llistat de jugadors que acaben contracte a final de la present temporada o que estan en actiu per sense equip.
prompt consultes.ll_jugadors_estaran_lliures(pais_id number, genere_id number, modalitat_id number, p_cursor_f OUT SYS_REFCURSOR)
set serveroutput on;
set serveroutput on size 1000000;
DECLARE
p_cursor_f SYS_REFCURSOR := NULL;
reg_e consultes.reg_consulta_f;
RSP varchar2(500);
begin
consultes.ll_jugadors_estaran_lliures(73, 1, 1, p_cursor_f, rsp);
dbms_output.put_line('RSP: --> ' || RSP);
LOOP 
fetch p_cursor_f INTO reg_e;
exit when p_cursor_f%notfound;
dbms_output.put_line('jugador: nom --> ' || reg_e.nom);
end loop;
close p_cursor_f;
END;
/