-- select 'alter table '||lower(table_name)||' disable constraint '||lower(constraint_name)||';' from user_constraints where constraint_type = 'R' and table_name not like '%$%';
alter table contracte_temporada disable constraint contracte_temporada_t_fk;
alter table contracte_temporada disable constraint contracte_temporada_c_fk;
alter table competicio disable constraint competicio_temporada_fk;
alter table contracte disable constraint contracte_representant_fk;
alter table equip disable constraint equip_genere_fk;
alter table partit disable constraint partit_arbitre_aux3_fk;
alter table partit disable constraint partit_arbitre_aux2_fk;
alter table partit disable constraint partit_arbitre_aux1_fk;
alter table partit disable constraint partit_arbitre_p_fk;
alter table equip disable constraint equip_tipus_equip_fk;
alter table competicio disable constraint competicio_categoria_fk;
alter table competicio disable constraint competicio_pais_fk;
alter table competicio disable constraint competicio_continent_fk;
alter table competicio disable constraint competicio_ambit_fk;
alter table competicio disable constraint competicio_modalitat_fk;
alter table competicio disable constraint competicio_genere_fk;
alter table jugador disable constraint jugador_sub_estat_fk;
alter table jugador disable constraint jugador_estat_fk;
alter table jugador disable constraint jugador_activitat_fk;
alter table jugador disable constraint jugador_posicio_fk;
alter table jugador disable constraint jugador_genere_fk;
alter table jugador disable constraint jugador_federacio_pais_fk;
alter table jugador disable constraint jugador_nacionalitat_fk;
alter table equip disable constraint equip_pais_fk;
alter table estadistiques_p_j disable constraint estadistiques_p_j_jug_id_fk;
alter table estadistiques_p_j disable constraint estadistiques_p_j_partit_id_fk;
alter table contracte disable constraint contracte_primera_temporada_fk;
alter table contracte disable constraint contracte_equip_comprador_fk;
alter table contracte disable constraint contracte_equip_venedor_fk;
alter table contracte disable constraint contracte_jugador_fk;
alter table partit disable constraint partit_equip_visitant_fk;
alter table partit disable constraint partit_equip_local_fk;
alter table partit disable constraint partit_competicio_fk;
alter table jugador disable constraint jugador_representant_fk;
alter table partit disable constraint partit_v9_fk;
alter table partit disable constraint partit_v8_fk;
alter table partit disable constraint partit_v7_fk;
alter table partit disable constraint partit_v6_fk;
alter table partit disable constraint partit_v5_fk;
alter table partit disable constraint partit_v4_fk;
alter table partit disable constraint partit_v3_fk;
alter table partit disable constraint partit_v2_fk;
alter table partit disable constraint partit_v1_fk;
alter table partit disable constraint partit_v12_fk;
alter table partit disable constraint partit_v11_fk;
alter table partit disable constraint partit_v10_fk;
alter table partit disable constraint partit_l9_fk;
alter table partit disable constraint partit_l8_fk;
alter table partit disable constraint partit_l7_fk;
alter table partit disable constraint partit_l6_fk;
alter table partit disable constraint partit_l5_fk;
alter table partit disable constraint partit_l4_fk;
alter table partit disable constraint partit_l10_fk;
alter table partit disable constraint partit_l3_fk;
alter table partit disable constraint partit_l2_fk;
alter table partit disable constraint partit_l1_fk;
alter table partit disable constraint partit_l12_fk;
alter table partit disable constraint partit_l11_fk;

-- select 'truncate table '||lower(table_name)||';' from user_tables where (table_name not like '%$%') and (table_name not like '%mnr%');
truncate table jugador;
truncate table partit;
truncate table contracte;
truncate table estadistiques_p_j;
truncate table log_crides;
truncate table m_e_c1;
truncate table m_e_c2;
truncate table m_e_c4;
truncate table m_e_c5;
truncate table m_e_c7;
truncate table m_e_c3;
truncate table contracte_temporada;
truncate table m_e_c6;
truncate table competicio;
truncate table continent;
truncate table pais;
truncate table categoria;
truncate table arbitre;
truncate table temporada;
truncate table estat;
truncate table sub_estat;
truncate table genere;
truncate table equip;
truncate table modalitat;
truncate table activitat;
truncate table tipus_equip;
truncate table ambit;
truncate table representant;
truncate table posicio;

-- select 'alter table '||lower(table_name)||' enable constraint '||lower(constraint_name)||';' from user_constraints where constraint_type = 'R' and table_name not like '%$%';
alter table contracte_temporada enable constraint contracte_temporada_t_fk;
alter table contracte_temporada enable constraint contracte_temporada_c_fk;
alter table competicio enable constraint competicio_temporada_fk;
alter table contracte enable constraint contracte_representant_fk;
alter table equip enable constraint equip_genere_fk;
alter table partit enable constraint partit_arbitre_aux3_fk;
alter table partit enable constraint partit_arbitre_aux2_fk;
alter table partit enable constraint partit_arbitre_aux1_fk;
alter table partit enable constraint partit_arbitre_p_fk;
alter table equip enable constraint equip_tipus_equip_fk;
alter table competicio enable constraint competicio_categoria_fk;
alter table competicio enable constraint competicio_pais_fk;
alter table competicio enable constraint competicio_continent_fk;
alter table competicio enable constraint competicio_ambit_fk;
alter table competicio enable constraint competicio_modalitat_fk;
alter table competicio enable constraint competicio_genere_fk;
alter table jugador enable constraint jugador_sub_estat_fk;
alter table jugador enable constraint jugador_estat_fk;
alter table jugador enable constraint jugador_activitat_fk;
alter table jugador enable constraint jugador_posicio_fk;
alter table jugador enable constraint jugador_genere_fk;
alter table jugador enable constraint jugador_federacio_pais_fk;
alter table jugador enable constraint jugador_nacionalitat_fk;
alter table equip enable constraint equip_pais_fk;
alter table estadistiques_p_j enable constraint estadistiques_p_j_jug_id_fk;
alter table estadistiques_p_j enable constraint estadistiques_p_j_partit_id_fk;
alter table contracte enable constraint contracte_primera_temporada_fk;
alter table contracte enable constraint contracte_equip_comprador_fk;
alter table contracte enable constraint contracte_equip_venedor_fk;
alter table contracte enable constraint contracte_jugador_fk;
alter table partit enable constraint partit_equip_visitant_fk;
alter table partit enable constraint partit_equip_local_fk;
alter table partit enable constraint partit_competicio_fk;
alter table jugador enable constraint jugador_representant_fk;
alter table partit enable constraint partit_v9_fk;
alter table partit enable constraint partit_v8_fk;
alter table partit enable constraint partit_v7_fk;
alter table partit enable constraint partit_v6_fk;
alter table partit enable constraint partit_v5_fk;
alter table partit enable constraint partit_v4_fk;
alter table partit enable constraint partit_v3_fk;
alter table partit enable constraint partit_v2_fk;
alter table partit enable constraint partit_v1_fk;
alter table partit enable constraint partit_v12_fk;
alter table partit enable constraint partit_v11_fk;
alter table partit enable constraint partit_v10_fk;
alter table partit enable constraint partit_l9_fk;
alter table partit enable constraint partit_l8_fk;
alter table partit enable constraint partit_l7_fk;
alter table partit enable constraint partit_l6_fk;
alter table partit enable constraint partit_l5_fk;
alter table partit enable constraint partit_l4_fk;
alter table partit enable constraint partit_l10_fk;
alter table partit enable constraint partit_l3_fk;
alter table partit enable constraint partit_l2_fk;
alter table partit enable constraint partit_l1_fk;
alter table partit enable constraint partit_l12_fk;
alter table partit enable constraint partit_l11_fk;

-- select 'drop sequence '||sequence_name||';'||chr(13)||'create sequence '||sequence_name||' INCREMENT BY 1 MAXVALUE 9999999999999999999999999999 MINVALUE 1 CACHE 20;' from user_sequences  where (sequence_name not like '%$%') and (sequence_name not like '%mnr%');
drop sequence SEQ_CONTRACTE_ID;
create sequence SEQ_CONTRACTE_ID INCREMENT BY 1 MAXVALUE 9999999999999999999999999999 MINVALUE 1 CACHE 20;
drop sequence SEQ_JUGADOR_ID;
create sequence SEQ_JUGADOR_ID INCREMENT BY 1 MAXVALUE 9999999999999999999999999999 MINVALUE 1 CACHE 20;
drop sequence SEQ_LOG_CRIDES_ID;
create sequence SEQ_LOG_CRIDES_ID INCREMENT BY 1 MAXVALUE 9999999999999999999999999999 MINVALUE 1 CACHE 20;
drop sequence SEQ_PARTIT_ID;
create sequence SEQ_PARTIT_ID INCREMENT BY 1 MAXVALUE 9999999999999999999999999999 MINVALUE 1 CACHE 20;
drop sequence SEQ_CONTRACTE_TEMPORADA_ID;
create sequence SEQ_CONTRACTE_TEMPORADA_ID INCREMENT BY 1 MAXVALUE 9999999999999999999999999999 MINVALUE 1 CACHE 20;
/*
select lower(table_name) from user_constraints where constraint_type = 'R' and table_name not like '%$%';
select 'truncate table '||lower(table_name)||';' from user_tables where lower(table_name) IN (select lower(table_name) from user_constraints where constraint_type = 'R' and table_name not like '%$%');
select 'truncate table '||lower(table_name)||';' from user_tables where (table_name not like '%$%') and (table_name not like '%mnr%');
select 'alter table '||lower(table_name)||' enable constraint '||lower(constraint_name)||';' from user_constraints where constraint_type = 'R' and table_name not like '%$%';
select 'drop sequence '||sequence_name||';'||chr(13)||'create sequence '||sequence_name||' minvalue 1 nomaxvalue increment by 1;' from user_sequences  where (sequence_name not like '%$%') and (sequence_name not like '%mnr%');
*/